%define upstream_name	 Moose
%define upstream_version 2.1605

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A complete modern object system for Perl 5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Carp) >= 1.220.0
BuildRequires: perl(Class::Load) >= 0.90.0
BuildRequires: perl(Class::Load::XS) >= 0.10.0
BuildRequires: perl(Data::OptList) >= 0.107.0
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Devel::OverloadInfo) >= 0.4.0
BuildRequires: perl(Devel::StackTrace) >= 1.330.0
BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(Eval::Closure) >= 0.40.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON::PP) >= 2.273.0
BuildRequires: perl(List::MoreUtils) >= 0.280.0
BuildRequires: perl(List::Util) >= 1.350.0
BuildRequires: perl(MRO::Compat) >= 0.50.0
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Module::Runtime::Conflicts) >= 0.2.0
BuildRequires: perl(Package::DeprecationManager) >= 0.110.0
BuildRequires: perl(Package::Stash) >= 0.320.0
BuildRequires: perl(Package::Stash::XS) >= 0.240.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Scalar::Util) >= 1.190.0
BuildRequires: perl(Sub::Exporter) >= 0.980.0
BuildRequires: perl(Sub::Identify)
BuildRequires: perl(Sub::Name) >= 0.50.0
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::CleanNamespaces) >= 0.130.0
BuildRequires: perl(Test::Fatal) >= 0.1.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires) >= 0.50.0
BuildRequires: perl(Test::Warnings) >= 0.16.0
BuildRequires: perl(Try::Tiny) >= 0.170.0
BuildRequires: perl(parent) >= 0.223.0
BuildRequires: perl(strict) >= 1.30.0
BuildRequires: perl(warnings) >= 1.30.0
BuildRequires: perl-devel
Requires:   perl(Sub::Name)
Provides:   perl-Moose-implementation
Provides:   perl(Moose::Conflicts)

Obsoletes:  perl-Class-MOP <= 1.120.0
Provides:   perl-Class-MOP = 1.120.0

%{?perl_default_filter}

%description
Moose is an extension of the Perl 5 object system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml TODO
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.160.500-2.mga6
+ Revision: 1030316
- Rebuild for perl 5.22.2

* Wed Feb 24 2016 shlomif <shlomif> 2.160.500-1.mga6
+ Revision: 978705
- update to 2.1605

* Sat Jan 16 2016 shlomif <shlomif> 2.160.400-1.mga6
+ Revision: 923727
- update to 2.1604

* Sun Sep 06 2015 sander85 <sander85> 2.160.300-1.mga6
+ Revision: 873559
- update to 2.1603

* Sat Aug 01 2015 sander85 <sander85> 2.160.0-1.mga6
+ Revision: 860350
- update to 2.1600

* Fri Jun 26 2015 tv <tv> 2.140.500-3.mga6
+ Revision: 845028
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 2.140.500-2.mga6
+ Revision: 842299
- Fixed Source and BR

* Tue Jun 23 2015 sander85 <sander85> 2.140.500-1.mga6
+ Revision: 841378
- update to 2.1405

* Wed Oct 15 2014 umeabot <umeabot> 2.121.100-7.mga5
+ Revision: 739675
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.121.100-6.mga5
+ Revision: 735775
- add exclude

* Sun Sep 21 2014 pterjan <pterjan> 2.121.100-5.mga5
+ Revision: 708356
- Drop generated Provides/Requires
- Add missing Provides on perl(Moose::Conflicts)

* Tue Sep 16 2014 umeabot <umeabot> 2.121.100-4.mga5
+ Revision: 685508
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 pterjan <pterjan> 2.121.100-3.mga5
+ Revision: 668548
- Drop arch specific manual requires

* Mon Aug 25 2014 pterjan <pterjan> 2.121.100-2.mga5
+ Revision: 667373
- Manually list dependencies

* Fri Aug 15 2014 sander85 <sander85> 2.121.100-1.mga5
+ Revision: 662775
- update to 2.1211

* Thu Jul 10 2014 sander85 <sander85> 2.121.0-1.mga5
+ Revision: 651030
- update to 2.1210

* Fri Jun 06 2014 jquelin <jquelin> 2.120.900-1.mga5
+ Revision: 634077
- update to 2.1209

* Wed Jun 04 2014 sander85 <sander85> 2.120.800-1.mga5
+ Revision: 633227
- update to 2.1208

* Tue Jun 03 2014 jquelin <jquelin> 2.120.700-3.mga5
+ Revision: 632408
- perl 5.20.0 rebuild

* Tue Jun 03 2014 tv <tv> 2.120.700-2.mga5
+ Revision: 632126
- rebuild for new perl

* Fri May 30 2014 sander85 <sander85> 2.120.700-1.mga5
+ Revision: 627919
- update to 2.1207

* Tue May 20 2014 jquelin <jquelin> 2.120.600-1.mga5
+ Revision: 624342
- update to 2.1206

* Tue May 06 2014 jquelin <jquelin> 2.120.500-1.mga5
+ Revision: 620434
- update to 2.1205

* Thu Feb 13 2014 jquelin <jquelin> 2.120.400-1.mga5
+ Revision: 590642
- update to 2.1204

* Sat Oct 19 2013 umeabot <umeabot> 2.100.500-2.mga4
+ Revision: 531742
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 sander85 <sander85> 2.100.500-1.mga4
+ Revision: 464938
- update to 2.1005

* Mon Aug 05 2013 sander85 <sander85> 2.100.400-1.mga4
+ Revision: 464010
- update to 2.1004

* Fri Jul 26 2013 sander85 <sander85> 2.100.300-1.mga4
+ Revision: 458726
- update to 2.1003

* Mon Jun 03 2013 jquelin <jquelin> 2.80.200-1.mga4
+ Revision: 436664
- update to 2.0802

* Wed May 29 2013 jquelin <jquelin> 2.60.400-7.mga4
+ Revision: 431633
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 2.60.400-6.mga4
+ Revision: 431248
- perl 5.18.0 rebuild

  + tv <tv>
    - rebuild for new perl

* Wed Jan 23 2013 jquelin <jquelin> 2.60.400-4.mga3
+ Revision: 391458
- wrong provides

* Sun Jan 13 2013 umeabot <umeabot> 2.60.400-3.mga3
+ Revision: 370109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 2.60.400-2.mga3
+ Revision: 326868
- add missing provides

* Wed Sep 26 2012 jquelin <jquelin> 2.60.400-1.mga3
+ Revision: 298166
- update to 2.0604

* Mon Jul 02 2012 jquelin <jquelin> 2.60.300-1.mga3
+ Revision: 266689
- update to 2.0603

* Tue Jun 05 2012 jquelin <jquelin> 2.60.200-1.mga3
+ Revision: 255706
- update to 2.0602

* Wed May 30 2012 jquelin <jquelin> 2.40.200-2.mga3
+ Revision: 250951
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 2.40.200-1.mga2
+ Revision: 213321
- update to 2.0402

* Mon Dec 12 2011 jquelin <jquelin> 2.40.100-1.mga2
+ Revision: 180952
- update to 2.0401

* Mon Sep 26 2011 jquelin <jquelin> 2.20.500-1.mga2
+ Revision: 148414
- update to 2.0205

* Mon Aug 29 2011 jquelin <jquelin> 2.20.400-2.mga2
+ Revision: 136108
- take lowercase provides into account
- update to 2.0204
- update to 2.0203

* Wed Jun 22 2011 jquelin <jquelin> 2.1.0-1.mga2
+ Revision: 112289
- update to 2.0010

* Fri Jun 17 2011 jquelin <jquelin> 2.0.700-1.mga2
+ Revision: 108806
- update to 2.0007

* Mon Jun 13 2011 jquelin <jquelin> 2.0.0-3.mga2
+ Revision: 105636
- class::mop is now merged within moose, obsoleting perl-Class-MOP

* Sun Jun 12 2011 jquelin <jquelin> 2.0.0-2.mga2
+ Revision: 104600
- rebuild

* Wed Apr 13 2011 jquelin <jquelin> 2.0.0-1.mga1
+ Revision: 84286
- update to 2.0000

* Mon Apr 04 2011 jquelin <jquelin> 1.250.0-1.mga1
+ Revision: 80381
- update to 1.25

* Sat Feb 26 2011 jquelin <jquelin> 1.240.0-1.mga1
+ Revision: 60266
- update to 1.24

* Wed Feb 16 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 52342
- update to 1.23

* Thu Jan 13 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 13124
- imported package perl-Moose


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.210.0-1mdv2011.0
+ Revision: 601934
- update to new version 1.21

* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.190.0-1mdv2011.0
+ Revision: 594671
- update to new version 1.19

* Tue Nov 02 2010 Shlomi Fish <shlomif@mandriva.org> 1.170.0-2mdv2011.0
+ Revision: 592303
- Updated the versions of the BuildRequires

* Tue Oct 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.170.0-1mdv2011.0
+ Revision: 586835
- update to new version 1.17

  + Shlomi Fish <shlomif@mandriva.org>
    - Add missing dependencies

* Sun Oct 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.150.0-1mdv2011.0
+ Revision: 586167
- new version

* Wed Sep 01 2010 Jérôme Quelin <jquelin@mandriva.org> 1.120.0-1mdv2011.0
+ Revision: 575077
- adding missing buildrequires:
- update to 1.12

* Tue Aug 24 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2011.0
+ Revision: 572937
- update to 1.10

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.90.0-1mdv2011.0
+ Revision: 561954
- update to 1.09

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-2mdv2011.0
+ Revision: 556007
- rebuild for perl 5.12

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2011.0
+ Revision: 552244
- update to 1.08

* Sat Mar 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-2mdv2010.1
+ Revision: 528111
- rebuild
- update to 1.01

* Fri Mar 26 2010 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 527733
- update to 1.00

* Fri Mar 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.990.0-2mdv2010.1
+ Revision: 518457
- ship debug files in -debug

* Tue Mar 09 2010 Jérôme Quelin <jquelin@mandriva.org> 0.990.0-1mdv2010.1
+ Revision: 517114
- update to 0.99

* Thu Feb 11 2010 Jérôme Quelin <jquelin@mandriva.org> 0.980.0-1mdv2010.1
+ Revision: 504075
- update to 0.98

* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.970.0-1mdv2010.1
+ Revision: 503735
- update to 0.97

* Mon Feb 08 2010 Jérôme Quelin <jquelin@mandriva.org> 0.960.0-1mdv2010.1
+ Revision: 502087
- update to 0.96

* Fri Feb 05 2010 Jérôme Quelin <jquelin@mandriva.org> 0.950.0-1mdv2010.1
+ Revision: 501138
- update to 0.95

* Tue Jan 19 2010 Jérôme Quelin <jquelin@mandriva.org> 0.940.0-1mdv2010.1
+ Revision: 493553
- package has some xs parts now
- update to 0.94

* Sat Nov 21 2009 Jérôme Quelin <jquelin@mandriva.org> 0.930.0-1mdv2010.1
+ Revision: 467880
- update to 0.93

* Wed Sep 23 2009 Jérôme Quelin <jquelin@mandriva.org> 0.920.0-1mdv2010.0
+ Revision: 447633
- update to 0.92

* Mon Sep 21 2009 Jérôme Quelin <jquelin@mandriva.org> 0.910.0-1mdv2010.0
+ Revision: 446431
- update to 0.91

* Wed Sep 16 2009 Jérôme Quelin <jquelin@mandriva.org> 0.900.0-1mdv2010.0
+ Revision: 443511
- adding missing buildrequires:
- update to 0.90

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.890.0-1mdv2010.0
+ Revision: 418663
- update to 0.89

* Sat Jul 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.880.0-1mdv2010.0
+ Revision: 399595
- update to 0.88

* Wed Jul 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.870.0-1mdv2010.0
+ Revision: 393635
- update to 0.87

* Mon Jul 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.860.0-1mdv2010.0
+ Revision: 392692
- update to 0.86
- using %%perl_convert_version
- fixed license field

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.85-1mdv2010.0
+ Revision: 389796
- update to new version 0.85

* Thu Jun 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.83-1mdv2010.0
+ Revision: 389017
- update to new version 0.83

* Tue Jun 23 2009 Jérôme Quelin <jquelin@mandriva.org> 0.82-1mdv2010.0
+ Revision: 388738
- update to new version 0.82

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.81-1mdv2010.0
+ Revision: 384027
- update to new version 0.81

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.79-2mdv2010.0
+ Revision: 378180
- provides perl-Moose-implementation virtual package

* Fri May 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.79-1mdv2010.0
+ Revision: 376150
- update to new version 0.79

* Sun May 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.77-1mdv2010.0
+ Revision: 371455
- new version

* Sat Feb 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.72-1mdv2009.1
+ Revision: 345915
- update to new version 0.72

* Fri Feb 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.71-1mdv2009.1
+ Revision: 343229
- update to new version 0.71

* Sun Feb 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.70-1mdv2009.1
+ Revision: 340567
- update to new version 0.70

* Fri Feb 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdv2009.1
+ Revision: 340032
- update to new version 0.69

* Thu Feb 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.68-1mdv2009.1
+ Revision: 337784
- update to new version 0.68

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.66-1mdv2009.1
+ Revision: 337425
- update to new version 0.66

* Fri Jan 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.65-1mdv2009.1
+ Revision: 332993
- update to new version 0.65

* Mon Jan 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.64-1mdv2009.1
+ Revision: 325017
- new version

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.63-1mdv2009.1
+ Revision: 314253
- update to new version 0.63

* Fri Nov 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.62-1mdv2009.1
+ Revision: 307417
- update to new version 0.62

* Sat Nov 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-1mdv2009.1
+ Revision: 301108
- new version

* Sun Oct 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.60-2mdv2009.1
+ Revision: 297292
- fix dependencies

* Sat Oct 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.60-1mdv2009.1
+ Revision: 297201
- new version

* Tue Oct 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.59-1mdv2009.1
+ Revision: 296085
- new version

* Fri Sep 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.57-1mdv2009.0
+ Revision: 281701
- new version

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.56-1mdv2009.0
+ Revision: 279193
- new version

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2009.0
+ Revision: 270491
- new version

* Sun Jul 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdv2009.0
+ Revision: 232130
- update to new version 0.54

* Fri Jul 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdv2009.0
+ Revision: 231602
- update to new version 0.53

* Wed Jul 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdv2009.0
+ Revision: 230702
- new version

* Tue Jun 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-1mdv2009.0
+ Revision: 223408
- new version

* Fri May 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.48-1mdv2009.0
+ Revision: 213356
- update to new version 0.48

* Thu May 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.46-1mdv2009.0
+ Revision: 212940
- update to new version 0.46

* Tue May 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.44-1mdv2009.0
+ Revision: 206820
- update to new version 0.44

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.43-2mdv2009.0
+ Revision: 201954
- drop last build dependency, it is redundant  with Class::MOP

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.43-1mdv2009.0
+ Revision: 201933
- fix build dependency
- update to new version 0.43

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.40-1mdv2009.0
+ Revision: 193866
- update to new version 0.40

* Sat Feb 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2008.1
+ Revision: 169257
- update to new version 0.38

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdv2008.1
+ Revision: 158625
- update to new version 0.36

* Fri Jan 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2008.1
+ Revision: 158107
- update to new version 0.35

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2008.1
+ Revision: 156179
- update to new version 0.34

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2008.1
+ Revision: 121687
- new version

* Wed Dec 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2008.1
+ Revision: 115534
- new version

* Tue Nov 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2008.1
+ Revision: 113432
- new version
- new version

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2008.1
+ Revision: 110245
- new version

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2008.1
+ Revision: 97518
- update to new version 0.26

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2008.0
+ Revision: 75281
- import perl-Moose


* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2008.0
- first mdv release 
